<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Web_style_model extends CI_Model
{

    public $table = 'web_style';
    public $id = 'id_web_style';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get style
    function get_style()
    {
        $this->db->select('*');
        $this->db->from('web_management');
        $this->db->join('web_style_2', 'web_management.style_web = web_style_2.id_web_style');
        return $this->db->get()->row();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }

    // get total rows
    function total_rows($q = NULL)
    {
        $this->db->like('id_web_style', $q);
        $this->db->or_like('name_style', $q);
        $this->db->or_like('meta_color', $q);
        $this->db->or_like('navbar_color', $q);
        $this->db->or_like('box_color', $q);
        $this->db->or_like('box_bottom', $q);
        $this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL)
    {
        $this->db->order_by($this->id, $this->order);
        $this->db->like('id_web_style', $q);
        $this->db->or_like('name_style', $q);
        $this->db->or_like('meta_color', $q);
        $this->db->or_like('navbar_color', $q);
        $this->db->or_like('box_color', $q);
        $this->db->or_like('box_bottom', $q);
        $this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }
}

/* End of file Web_style_model.php */
/* Location: ./application/models/Web_style_model.php */
/* Please DO NOT modify this information : */
/* Generated by IDETech Codeigniter CRUD Generator 2020-06-20 15:33:01 */
/* http://idetech.id */